# filesystem.get_zfs_attributes

Get the current ZFS attributes for the file at the given path

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: path

#### path

Type: string

Path to the file to get ZFS attributes for.

Must be at least `1` characters long

##

#### ZFSFileAttrsData

Type: object

The current ZFS file attributes.

No Additional Properties

##

#### Readonly

Default: null

READONLY MS-DOS attribute. When set, file may not be written to (toggling does not impact existing file opens).

## Any of

Type: boolean
Type: null

##

#### Hidden

Default: null

HIDDEN MS-DOS attribute. When set, the SMB HIDDEN flag is set and file is "hidden" from the perspective of SMB clients.

## Any of

Type: boolean
Type: null

##

#### System

Default: null

SYSTEM MS-DOS attribute. Is presented to SMB clients, but has no impact on local filesystem.

## Any of

Type: boolean
Type: null

##

#### Archive

Default: null

ARCHIVE MS-DOS attribute. Value is reset to True whenever file is modified.

## Any of

Type: boolean
Type: null

##

#### Immutable

Default: null

File may not be altered or deleted. Also appears as IMMUTABLE in attributes in `filesystem.stat` output and as STATXATTRIMMUTABLE in statx() response.

## Any of

Type: boolean
Type: null

##

#### Nounlink

Default: null

File may be altered but not deleted.

## Any of

Type: boolean
Type: null

##

#### Appendonly

Default: null

File may only be opened with OAPPEND flag. Also appears as APPEND in attributes in `filesystem.stat` output and as STATXATTR_APPEND in statx() response.

## Any of

Type: boolean
Type: null

##

#### Offline

Default: null

OFFLINE MS-DOS attribute. Is presented to SMB clients, but has no impact on local filesystem.

## Any of

Type: boolean
Type: null

##

#### Sparse

Default: null

SPARSE MS-DOS attribute. Is presented to SMB clients, but has no impact on local filesystem.

## Any of

Type: boolean
Type: null

Required roles: FILESYSTEM_ATTRS_READ